#modname "Lankan Kharahasara Mod v1.5"

#description "This is a mod that adds a new, recruit-anywhere sacred to Lanka: the Kharahasara, a rabbit rakshasa. (And also optionally adds a commanderized version, the Kharaharaja, and/or a unique magic site that allows them to be recruited by any nation.)

The original name was the more tongue-in-cheek 'Bunisara,' but I gave it a more serious name based on Hindi 'kharaha.'

The base variant uses a large version of the Kukri knife, but it can be altered to spear and pole-arm variants by choosing which lines are commented out in the .dm. file.

See the readme file for more details."

#version 1.5
#icon "Globu/Icon_Lankan_Kharahasara.tga"
#domversion 3.24

-- This mod uses site 820, weapon 881 and monsters 3930-3932.

-- For further information on use, version history, sources, credits and
-- permissions, see the readme file.



------------------------------------------------------------------------------
-- NEW WEAPONS                                                              --
------------------------------------------------------------------------------

#newweapon 881
#name "Long Kukri"

-- Might just be better as 'Kukri'. In the end, it's just for flavor, as the
-- stats are pretty plain, and it wouldn't be the worst crime in the world if
-- they were just given vanilla falchions to keep things simpler.

#dmg 7
#nratt 1
#att 0
#def 0
#len 2
#rcost 2
#sound 8
#end

------------------------------------------------------------------------------
-- NEW UNITS                                                                --
------------------------------------------------------------------------------

#newmonster 3930
-spr1 "./Globu/GL_Kharahasara_Spear1.tga"
-spr2 "./Globu/GL_Kharahasara_Spear2.tga"
-spr1 "./Globu/GL_Kharahasara_PoleArm1.tga"
-spr2 "./Globu/GL_Kharahasara_PoleArm2.tga"
#spr1 "./Globu/GL_Kharahasara_Kukri1.tga"
#spr2 "./Globu/GL_Kharahasara_Kukri2.tga"
#name "Kharahasara"
#descr "The Kharahasara is a Rakshasa, a demon-ogre of Lanka. Smaller than other Rakshasa, Kharahasara are men with the features of rabbits, strong, hardy and swift of foot. Though smaller than other Rakshasa, they are respected by their larger cousins for their martial prowess and their unexpected fierceness in battle. They usually wield long kukri, deadly forward-curved blades, with shields and javelins, though some are seen using spears and polearms similar to naginatas. They do not eat flesh, preferring grasses, shoots and flowers. They eagerly seek young human girls, but do not devour them. Instead, they spirit them away for a time, after which the girls are permitted to wander home, dazed, disheveled and often pregnant. Kharahasara are considered sacred to the monkey people."

-... Rather, they take them out for burgers and fries and return them to their homes, giddy and often pregnant." - Ha, ha.

#ap 18
#mapmove 3
#hp 22
#prot 3 -- fur
#size 2
#ressize 2
#str 14
#enc 3
#att 12
#def 13
#prec 11
#mr 12
#mor 13
#gcost 45
#rcost 1
#weapon "Long Kukri"
-weapon "Spear"
-weapon "Naginata"
#weapon "Javelin"
#armor "Scale Mail Cuirass"
#armor "Shield"
#forestsurvival
#maxage 250
#startage 44
#demon
#neednoteat
#ambidextrous 2
#holy
#poorundeadleader
#nametype 129
#end



#newmonster 3931
-spr1 "./Globu/GL_Kharahasara_Black1.tga" -- Sword/Shield variant
-spr2 "./Globu/GL_Kharahasara_Black2.tga"
#spr1 "./Globu/GL_Kharahasara_Black_B1.tga" -- Dual-wield sword variant
#spr2 "./Globu/GL_Kharahasara_Black_B2.tga"
#name "Kharaharaja"

#descr "The Kharaharaja is a powerful Kharahasara chieftain with dark fur. Like other Kharahasara, he appears as a man-like being with the features of a rabbit, strong, hardy and swift of foot. He does not eat flesh, but dines only on grass, shoots and leaves. Though Kharaharaja are not priests, they are, like other Kharahasara, considered sacred by the monkey people. Some are minor sorcerers."

#ap 18
#mapmove 3
#hp 23
#prot 3 -- fur
#size 2
#ressize 2
#str 15
#enc 3
#att 13
#def 14
#prec 12
#mr 14
#mor 15
#gcost 135
#rcost 1
#weapon "Long Kukri"
-armor "Shield" -- Re-enable for sword/shield variant
#weapon "Long Kukri" -- Disable if sword/shield variant is desired
#weapon "Javelin"
#armor "Scale Mail Cuirass"
#forestsurvival
#maxage 250
#startage 44
#demon
#neednoteat
#ambidextrous 4
#holy
#okleader
#poorundeadleader
#researchbonus -2
#custommagic 16384 40
#nametype 129
#end



#newmonster 3932 -- Spear version recruitable at optional magic site
#spr1 "./Globu/GL_Kharahasara_Spear1.tga"
#spr2 "./Globu/GL_Kharahasara_Spear2.tga"
#name "Kharahasara"
#descr "The Kharahasara is a Rakshasa, a demon-ogre of Lanka. Smaller than other Rakshasa, Kharahasara are men with the features of rabbits, strong, hardy and swift of foot. Though smaller than other Rakshasa, they are respected by their larger cousins for their martial prowess and their unexpected fierceness in battle. They usually wield long kukri, deadly forward-curved blades, with shields and javelins, though some are seen using spears and polearms similar to naginatas. They do not eat flesh, preferring grasses, shoots and flowers. They eagerly seek young human girls, but do not devour them. Instead, they spirit them away for a time, after which the girls are permitted to wander home, dazed, disheveled and often pregnant. Kharahasara are considered sacred to the monkey people."

-... Rather, they take them out for burgers and fries and return them to their homes, giddy and often pregnant." - Ha, ha.

#ap 18
#mapmove 3
#hp 22
#prot 3 -- fur
#size 2
#ressize 2
#str 14
#enc 3
#att 12
#def 13
#prec 11
#mr 12
#mor 13
#gcost 45
#rcost 1
#weapon "Spear"
#weapon "Javelin"
#armor "Scale Mail Cuirass"
#armor "Shield"
#forestsurvival
#maxage 250
#startage 44
#demon
#neednoteat
#ambidextrous 2
#holy
#poorundeadleader
#nametype 129
#end



------------------------------------------------------------------------------
-- NATIONAL MODIFICATION TO LANKA ADDING THE UNITS                          --
------------------------------------------------------------------------------

-- The commanderized version (the Kharaharaja) is now enabled by default.
-- Remove it or comment it out below if you would prefer to have only the
-- Kharahasara troops without the commander.

#selectnation 68 -- Lanka
#addrecunit 3930 -- (Kharahasara with kukri)
-addrecunit 3932 -- (Kharahasara with spear)
#addreccom 3931 --  (Kharaharaja -- commanderized version)
#end


------------------------------------------------------------------------------
-- MAGIC SITE                                                               --
------------------------------------------------------------------------------

-- This part adds a new possible magic site (Blood path) that allows the
-- player to recruit both the standard Kharahasara and the commanderized
-- version. Disable it if you prefer, or keep it enabled if you wish to
-- implement the Kharaharajas in the game in a moderate way without actually
-- adding them to Lanka. (You could also do both, of course.)

#newsite 820
#name "Kharahasara Tribe"
#path 7
#level 1
#rarity 0
#loc 16448
#gems 7 2
#mon 3930 -- (Kharahasara with kukri)
#mon 3932 -- (Kharahasara with spear)
#com 3931 -- (Kharaharaja)
#end
